/// <reference path="~/Scripts/_references.js" />
$("#PriceType").change(function () {
    ShowPriceTypeForm();
});


function Price_Create() {
    ShowPriceTypeForm();
}

function Price_Edit(modelID) {
    ShowPriceTypeForm();
}


function ShowPriceTypeForm() {
    var type = $("#PriceType").val();

    if (type == 0) { //free
        $("#daysMonths").hide();
        $("#price").hide();
        $("#Days").val("0");
        $("#Months").val("0");
        $("#Price").val("0");
        $("#Tax").val("0");
        $("#Setup").val("0");
        $("#setupDiv").hide();

        //domain

        $("#TransferA").hide();
        $("#Transfer").val("0");
    }
    else if (type == 1) { //one time

        $("#daysMonths").hide();
        $("#setupDiv").show();
        $("#Days").val("0");
        $("#Months").val("0");
        $("#price").show();


        $("#TransferA").show();


    }
    else if (type == 3)// trial
    {
        $("#daysMonths").show();
        $("#price").hide();
        $("#Price").val("0");
        $("#Tax").val("0");
        $("#Setup").val("0");
        $("#setupDiv").hide();
    }
    else { //recurrent
        $("#setupDiv").show();
        $("#daysMonths").show();
        $("#price").show();

        $("#TransferA").show();

    }
}